@import "variables.less";
@import "fonts.less";

html,
body {
    height: 100%;
    margin: 0;
}

a {
    text-decoration: none !important;
}

.grandParentContaniner {
    display: table;
    height: 100vh;
    margin: 0 auto;
}

.parentContainer {
    display: table-cell;
    vertical-align: middle;
}

#default-layout,
#dashboard-layout {
    background-color: #F4F5F8 !important;
}

#layoutSidenav {
    height: 100vh;
}

::-webkit-input-placeholder {
    /* Chrome/Opera/Safari */
    color: #5C5C5C;
    opacity: 0.6;
}

::-moz-placeholder {
    /* Firefox 19+ */
    color: #5C5C5C;
    opacity: 0.6;
}

:-ms-input-placeholder {
    /* IE 10+ */
    color: #5C5C5C;
    opacity: 0.6;
}

:-moz-placeholder {
    /* Firefox 18- */
    color: #5C5C5C;
    opacity: 0.6;
}

a {
    color: @color--black;
    text-decoration: none;

    &:hover {
        color: @color--black;
    }
}

ul {
    padding: 0px;

    li {
        display: inline-block;
        list-style: none;
    }
}

.or {
    text-align: center;
    border-bottom: 1px solid #727272;
    line-height: 0.1em;
    margin: 25px 0;

    span {
        background: #fff;
        padding: 0 10px;
        font-family: @font--poppins-regular;
        font-size: 14px;
    }
}

.cta--center {
    text-align: center;
}

.cta--underline {
    font-size: 16px;
    text-decoration: underline !important;
    color: @color--cta--underline;

    &:hover {
        color: @color--cta--underline--hover;
    }
}

.cta--text {
    font-size: 12px;
    color: @color--gray;
}

.cta--light {
    font-size: 16px;
    color: @color--light;
    text-decoration: none;
}

.cta-primary {
    background-color: @btn--primary  !important;
    font-size: 16px !important;
    font-family: @font--poppins-500  !important;
    color: @color--white  !important;
    font-weight: 500 !important;
}

.cta-default {
    width: 300px;
}

.text-black {
    color: #000 !important;
}

.textbox--rounded,
.cta--rounded {
    border-radius: 10px;
}

.textbox--primary {
    height: 48px;
    border: 1px solid rgba(0, 0, 0, 0.1);
    padding: 0px 16px;
    font-size: 15px;
    font-family: @font--poppins-500;
    color: @color--primary;
}

.textarea--primary {
    border: 1px solid rgba(0, 0, 0, 0.1);
    padding: 10px 16px;
    font-size: 15px;
    font-family: @font--poppins-500;
    color: @color--primary;
}

.textbox--mb-36 {
    margin-bottom: 36px !important;
}

.styled-checkbox {
    position: absolute;
    opacity: 0;
}

.styled-checkbox+label {
    position: relative;
    cursor: pointer;
    padding: 0;
}

.styled-checkbox+label:before {
    content: "";
    margin-right: 10px;
    display: inline-block;
    vertical-align: text-top;
    width: 24px;
    height: 24px;
    background: white;
    border: 1px solid #ddd;
    border-radius: 5px;
}

.styled-checkbox:focus+label:before {
    box-shadow: 0 0 0 1px rgba(0, 0, 0, 0.12);
}

.styled-checkbox:checked+label:before {
    background: @btn--primary;
}

.styled-checkbox:disabled+label {
    color: #b8b8b8;
    cursor: auto;
}

.styled-checkbox:disabled+label:before {
    box-shadow: none;
    background: #ddd;
}

.styled-checkbox:checked+label:after {
    content: "";
    position: absolute;
    left: 7px;
    top: 11px;
    background: white;
    width: 2px;
    height: 2px;
    box-shadow: 2px 0 0 white, 4px 0 0 white, 4px -2px 0 white, 4px -4px 0 white, 4px -6px 0 white, 4px -8px 0 white;
    transform: rotate(45deg);
}

.styled-radio {
    margin: 0.5rem;
}

.styled-radio input[type=radio] {
    position: absolute;
    opacity: 0;
}

.styled-radio input[type=radio]+.radio-label:before {
    content: "";
    background: #f4f4f4;
    border-radius: 100%;
    border: 1px solid #b4b4b4;
    display: inline-block;
    width: 1.1em;
    height: 1.1em;
    position: relative;
    top: 0;
    margin-right: 1em;
    vertical-align: middle;
    cursor: pointer;
    text-align: center;
    transition: all 250ms ease;
}

.styled-radio input[type=radio]:checked+.radio-label:before {
    background-color: #3197EE;
    box-shadow: inset 0 0 0 4px #f4f4f4;
}

.styled-radio input[type=radio]:focus+.radio-label:before {
    outline: none;
    border-color: #3197EE;
}

.styled-radio input[type=radio]:disabled+.radio-label:before {
    box-shadow: inset 0 0 0 4px #f4f4f4;
    border-color: #b4b4b4;
    background: #b4b4b4;
}

.styled-radio input[type=radio]+.radio-label:empty:before {
    margin-right: 0;
}

.styled-radio-flex {
    display: flex;
}

.vertical-center {
    margin: 0;
    position: absolute;
    top: 50%;
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    width: 100%;
}

.w-100 {
    width: 100% !important;
}

.footer {

    bottom: 0;
    left: 0;
    right: 0;
    position: fixed;
    // margin-bottom: 25px;
    // margin-top: 25px;
    padding-bottom: 25px;
    padding-top: 25px;
    background-color: #fff;
    z-index: 99;

    &__left {
        &__cta {
            color: @color--black  !important;
            font-size: 16px;
            cursor: pointer;

            &:hover {
                color: @color--black;
            }

            span {
                font-size: 16px;
                padding-left: 16px;
            }
        }

        display: table;

        p {
            margin: 0;
            display: table-cell;
            vertical-align: middle;
        }
    }

    &__center {
        display: table;

        p {
            margin: 0;
            display: table-cell;
            vertical-align: middle;
        }
    }

    &__cta {
        height: 40px;
        -webkit-user-select: none;
        user-select: none;
        cursor: default;
        background: @btn--primary;
        border-radius: 10px;
        color: #fff;
        width: 165px;
        display: block;
        text-align: center;
        line-height: 36px;
        margin: 0 auto;
        text-align: center;
        border: 2px solid @btn--primary;

        &:hover {
            color: #000;
            cursor: pointer;
            background: #fff;
            border: 2px solid @btn--primary;
        }
    }
}

.SelectAdvisors {
    &__list {
        min-height: 500px;
    }
}

.bluetext {
    color: #1C84EE;
}

.text-white {
    color: #fff !important;
}

.error-text {
    font-size: 12px;
    color: @color--red;
    font-family: @font--poppins-regular;
    padding-left: 17px;
    ;
}

.error-input {
    border: 1px solid @color--red  !important;
}

/* textbox with floating label code start */
.input-floating-label {
    position: relative;
    margin-bottom: 32px;
    width: 100%;

    .input {
        width: 100%;
        display: block;
        outline: 0;
        background: transparent;
        transition: border-color 0.2s;

        &:invalid,
        &:required {
            box-shadow: none;
        }

        &::placeholder {
            color: transparent;
        }

        &:placeholder-shown {
            border-color: rgba(0, 0, 0, 0.1);
        }

        &:placeholder-shown~label {
            pointer-events: none;
            cursor: text;
            transform: translatey(14px);
            padding: 0px 0px;
            font-size: 13px;
            font-family: @font--poppins-500;
            color: @color--primary;
        }

        &:focus {
            border-color: rgba(0, 0, 0, 0.1);
        }

        &:focus~label {
            position: absolute;
            transform: translatey(-10px);
            font-family: @font--poppins-500;
            color: @color--primary;
            padding: 0px 8px;
            font-size: 13px;
            background-color: #fff;
        }
    }

    label {
        position: absolute;
        left: 12px;
        display: block;
        transform: translatey(-10px);
        transition: 0.3s;
        padding: 0px 8px;
        font-size: 13px;
        font-family: @font--poppins-500;
        color: rgba(27, 28, 30, 0.5) !important;
        top: 0;
        background-color: #fff;
    }

    &.w-right-icon {
        position: relative;

        .textbox-icon {
            position: absolute;
            right: 10px;
            top: 10px;
        }

        .input {
            padding-right: 30px;
        }
    }

    &.w-left-icon {
        position: relative;

        .textbox-icon {
            position: absolute;
            left: 10px;
            top: 10px;
        }

        .input {
            padding-left: 30px;

            &:placeholder-shown~label {
                padding-left: 20px;
            }
        }
    }
}

/* textbox with floating label code end */

/*react select custom styles*/
.mySelect__multi-value {
    margin: 0px 2px 2px !important;
    padding: 2px 10px 2px 7px !important;
    border-radius: 15px !important;
}

.mySelect__control {
    border-radius: 10px !important;
    height: unset;
}

.mySelect__value-container {
    height: 100%;
}

.mySelect__placeholder {
    font-size: 13px;
    font-family: @font--poppins-500  !important;
    color: rgba(27, 28, 30, 0.5) !important;
}

.mySelect__multi-value__remove {
    background: rgba(0, 0, 0, 0.6);
    width: 20px;
    height: 20px;
    border-radius: 100% !important;
    color: #fff;
    position: relative;
    top: 3px;
}

.mySelect__multi-value__remove:hover {
    background-color: rgba(0, 0, 0, 0.4) !important;
    color: #fff !important;
}

.mySelect__control--is-focused {
    border: 1px solid rgba(0, 0, 0, 0.1) !important;
    box-shadow: unset !important;

    .mySelect__placeholder {
        top: -13px;
    }
}

.radio__select {
    .mySelect__option--is-selected {
        background-color: transparent;
        color: #000;
    }
}

.d-inline-block {
    display: inline-block !important;
}

.center-wrap {
    margin-left: 100px;
    margin-right: 380px;
    padding: 50px;
    background-color: #F5F6F9;

    &-default {
        margin-left: 100px;
        padding: 50px;
        background-color: #F4F5F8;
        height: 100vh;
    }
}

/*Chatbox scrollbar*/

::-webkit-scrollbar {
    width: 6px;
}

::-webkit-scrollbar-track {
    border-radius: 0;
}

::-webkit-scrollbar-thumb {
    margin: 2px;
    border-radius: 10px;
    background: rgba(0, 0, 0, 0.2);
}

.Two-Avatar-icon {
    height: 100%;
    padding: 5px 0px;

    img:last-child {
        position: relative;
        left: -10px;
    }
}

.CircleUserAddCta,
.CircleAddCta {
    width: 32px;
    height: 32px;
    background-color: @backcolor--primary;
    border-radius: 100%;
    text-align: center;
    padding: 2px 0px;
    float: right;
}

.DocumentsList,
.RecommendedFriends,
.GetAdvisors {
    background: @backcolor--white;
    border-radius: 10px;
    padding: 16px;

    &__title {
        font-weight: 700;
        font-size: 15px;
        line-height: 22px;
        color: @color--light-black;
    }

    &__sub-title {
        font-weight: 400;
        font-size: 12px;
        line-height: 14px;
        color: @color--light-gray;
    }

    &__List {
        &__items {
            padding: 16px;

            .DocumentsList & {
                padding: 10px;
            }

            border: 1px solid rgba(48, 63, 159, 0.5);
            border-radius: 10px;
            margin-bottom: 8px;

            &:last-child {
                margin-bottom: 0px;
            }

            &__Extension {
                width: 28px;
                height: 36px;
                font-weight: 500;
                font-size: 10px;
                line-height: 20px;
                border-radius: 2px;
                text-align: center;
                color: #fff;
                padding-top: 15px;

                &.doc {
                    background-color: @backcolor--primary;
                }

                &.zip {
                    background-color: @backcolor--red;
                }
            }

            .Avatar-icon {
                padding: 5px 0px;
            }

            &__title {
                font-weight: 600;
                font-size: 15px;
                line-height: 22px;
                color: @color--light-black;
                margin-bottom: 0px;
            }

            &__sub-title {
                font-weight: 400;
                font-size: 10px;
                line-height: 15px;
                color: rgba(0, 0, 0, 0.7);
                margin-bottom: 0px;
            }

            &__sub-title_date {
                font-weight: 400;
                font-size: 12px;
                line-height: 16px;
                color: @color--text-gray;
                margin-bottom: 0px;

                &.black {
                    color: @color--primary
                }
            }

            &__rating {
                margin-bottom: 0px;
            }

        }
    }
}

.fileSize {
    height: 24px;
    width: 56px;
    border-radius: 2px;
    background-color: @backcolor--light--black;
    line-height: 24px;

    span {
        font-weight: 400;
        font-size: 11px;
        line-height: 24px;
        color: @color--text-blue;
        text-align: center;
        display: block;
    }
}

.fileExtension {
    width: 28px;
    height: 36px;
    font-weight: 500;
    font-size: 10px;
    line-height: 20px;
    border-radius: 2px;
    text-align: center;
    color: #fff;
    padding-top: 15px;

    &.doc {
        background-color: @backcolor--primary;
    }

    &.zip {
        background-color: @backcolor--red;
    }
}

.fileExtension-desc p {
    margin-bottom: 0px;
}

.search {
    width: 100%;
    position: relative;

    .searchTerm {
        width: 100%;
        height: 40px;
        background: #FFFFFF;
        border: 1px solid rgba(63, 81, 181, 0.2);
        border-radius: 8px;
        padding-left: 60px;
        font-size: 16px;
    }

    .searchIcon {
        position: absolute;
        top: 0px;
        width: 60px;
        height: 40px;
        padding: 5px;
        text-align: center;
        z-index: 9;
    }
}

.mobile-search {
    display: none;
}

.topHeader {
    margin-left: 100px;
    background: #fff;
    padding: 5px 10px;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 99;
    border-bottom: 1px solid #ddd;

    &-text {
        h3 {
            font-size: 40px;
            margin-bottom: 4px;
        }

        p {
            font-size: 12px;
        }
    }
}

@media only screen and (max-width: 1000px) {
    .center-wrap {
        margin-left: 100px;
        margin-right: 0px;
        padding: 50px;
        background-color: #F4F5F8;
    }
}

@media screen and (max-width: 768px) {
    .role {
        margin-bottom: 60px;
    }

    .footer {
        position: fixed;
        background-color: #fff;
        margin-bottom: 0px;
        padding: 10px 0px;
        border-top: 1px solid #ddd;

        &__cta {
            height: 35px;
            -webkit-user-select: none;
            user-select: none;
            cursor: default;
            background: @btn--primary;
            border-radius: 10px;
            color: #fff;
            width: 85px;
            display: block;
            line-height: 30px;
            margin: 0 auto;
            text-align: center;

        }
    }

    .w-mob-100 {
        width: 100% !important;
    }

    .Search-content {
        .search {
            display: none;
        }

        .mobile-search {
            display: block;
            position: relative;
            padding-bottom: 0;
            bottom: -5px;
            right: 30px;
            text-align: right;
        }

        .mobile-search-input::placeholder {
            color: @color--primary;
            opacity: 0.8;
        }

        .mobile-search-input {
            position: absolute;
            right: -30px;
            visibility: hidden;
            opacity: 0;
            top: 35px;
            background: #fff;
            color: @color--primary;
            padding: 20px 6px;
            font-size: 16px;
            outline: none;
            width: 220px;
            transition: 80ms all ease-in;
            border-bottom-left-radius: 5px;
            border-bottom-right-radius: 5px;
            box-shadow: none;
            height: 40px;
            border: 1px solid rgba(48, 63, 159, 0.5);
        }

        .mobile-search-button {
            background: transparent;
            color: white;
            cursor: pointer;
            font-size: 14px;
            padding-top: 4px;
        }

        .mobile-search-button:hover+.mobile-search-input,
        .mobile-search-input:hover,
        .mobile-search:hover .mobile-search-input {
            visibility: visible !important;
            opacity: 1 !important;
            z-index: 9 !important;
            box-shadow: 1px 3px 4px #E6E6E6;
            height: 25px !important;
        }

    }

    .center-wrap {
        margin-left: 0px;
        margin-right: 0px;
        padding: 0px;
        background-color: #F4F5F8;

        &-default {
            margin-left: 0px;
            padding: 0px;
        }
    }

    .dashboardtop {
        padding: 5px 10px 5px 70px;
        background-color: @backcolor--white;
        position: fixed;
        left: 0;
        right: 0px;
        z-index: 99;
        border-bottom: 1px solid #ddd;
    }

    .topHeader {
        &-text {
            h3 {
                font-size: 16px;
            }

            p {
                font-size: 12px;
            }
        }
    }
}

@media screen and (max-width: 576px) {
    .p-mob-0 {
        padding: 0px;
    }
}

@media screen and (max-width: 480px) {
    .cta-default {
        width: 75%;
    }
}

.center-wrap-default {
    height: max-content;
    min-height: 100vh;
    background-color: white;
}

.center-wrap {
    height: max-content;
    min-height: 100vh;
}


.select-filter {
    width: 100%;
    position: relative;
}

.sortby {
    width: 100%;
    position: relative;

    .sortTerm {
        width: 100%;
        height: 40px;
        background: #FFFFFF;
        border: 1px solid #ECECEC;
        border-radius: 8px;
        padding-left: 53px;
        font-size: 13px;
        color: #000000;
    }

    .sortIcon {
        position: absolute;
        top: 0px;
        width: 60px;
        height: 40px;
        padding: 5px;
        text-align: center;
        z-index: 9;
    }
}


.filter {
    width: 100%;
    position: relative;

    .filterTerm {
        width: 100%;
        height: 40px;
        background: #FFFFFF;
        border: 1px solid #ECECEC;
        border-radius: 8px;
        padding-left: 60px;
        font-size: 13px;
        color: #000000;
    }

    .filterIcon {
        position: absolute;
        top: 0px;
        width: 60px;
        height: 40px;
        padding: 5px;
        text-align: center;
        z-index: 9;
    }
}

.accordion-top {

    .filter-name {
        font-size: 14px;
        font-family: @font--poppins-500;
        color: @color--primary ;
    }

    .filter-underline {
        font-size: 13px;
        font-family: @font--poppins-regular ;
        color: @color--primary ;
    }

    .accordion-item {
        border: none !important;
    }

    .accordion-button:not(.collapsed) {
        color: @color--primary  !important;
        background-color: #ffffff !important;
        box-shadow: none !important;
    }

    .accordion-button:focus {
        z-index: 3;
        border-color: #ffffff !important;
        outline: 0;
        box-shadow: none !important;
    }

    .accordion-button {
        padding: 1rem 0rem !important;
        font-size: 14px !important;
        color: @color--primary  !important;
        font-family: @font--poppins-500;
    }

    .accordion-body {
        padding: 1rem 0rem;
    }

    .accordion-list {
        ul li {
            span {
                font-size: 14px;
                font-family: @font--poppins-regular ;
                color: #4F555C;
            }
        }

    }

    .accordion-button:not(.collapsed)::after {
        flex-shrink: 0;
        width: 1.25rem;
        height: 1.25rem;
        margin-left: auto;
        content: "";
        background-image: url("data:image/svg+xml,%3csvg xmlns=%27http://www.w3.org/2000/svg%27 viewBox=%270 0 16 16%27 fill=%27%23212529%27%3e%3cpath fillRule=%27evenodd%27 d=%27M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z%27/%3e%3c/svg%3e");
        background-repeat: no-repeat;
        background-size: 1.25rem;
        transition: transform 0.2s ease-in-out;
    }
}

.invitation {
    &__invite-profileimage {
        height: 146px;
        width: 140px;
        border-radius: 10px;
    }

    &__invite-name {
        font-size: 18px;
        font-family: @font--poppins-600;
        color: @color--primary;
    }
}

@media screen and(min-width:575px)and (max-width: 768px) {

    .invitation {
        .sendInvite__form {
            .invitation-button {
                width: 30% !important;
                text-align: center;
            }
        }
    }
}


.pointer {
    cursor: pointer;
    border: 2px solid #F4F5F8;
    border-radius: 10px;
    box-shadow: 0 10px 20px #F4F5F8;
}
.alert-dismissible .btn-close {
    position: absolute;
    top: 0;
    right: 0;
    z-index: 1;
    padding: 1.45rem 0.5rem !important;
    font-size: 10px !important;
    padding-right: 0.5rem !important;
}
.alert-dismissible {
    padding-right: 2rem !important;
}